POST Application/PostSemanticEntities
Request Information
URI Parameters
None.
Body Parameters
SemanticEntity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| SemanticContextID | globally unique identifier |
Required |
|
| SchemaName | string |
Required |
|
| Name | string |
Required |
|
| AssemblyQualifiedName | string |
None. |
|
| IsActive | boolean |
Required |
|
| SemanticProperties | Collection of SemanticProperty |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "2689a92b-5b4c-4340-816f-07f79524d213",
"semanticContextID": "3c8f27c4-75f2-4455-939f-58c13e15c3ca",
"schemaName": "sample string 3",
"name": "sample string 4",
"assemblyQualifiedName": "sample string 5",
"isActive": true,
"semanticProperties": [
{
"$id": "2",
"id": "72ca061a-a07c-4073-8e28-87219352a425",
"semanticEntityID": "88fce03e-bfe9-4aa7-bc81-93186e05c11a",
"semanticEnumerationID": "2cfb9504-f7a4-4899-9415-fa043c73f2ff",
"name": "sample string 3",
"isSynchronized": true
},
{
"$ref": "2"
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.